This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 133245 - config_local.php not %config in spec file
config_local.php not %config in spec file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squirrelmail (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-22 14:42 EDT by Simon Annetts
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 17:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Annetts 2004-09-22 14:42:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
/usr/share/squirrelmail/config/config_local.php which is included 
by /etc/squirrelmail/config.php is not marked as a %config file in 
the spec file so can be overwritten when upgrading.
IMHO, this should be a symlink and the file should be 
in /etc/squirrelmail/config_local.php



Version-Release number of selected component (if applicable):
squirrelmail-1.4.3-0.e3.1

How reproducible:
Always

Steps to Reproduce:
1. -
2. -
3. -
    

Additional info:
Comment 1 Warren Togami 2004-10-20 21:44:52 EDT
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/squirrelmail-1.4.3a-5.noarch.rpm
Please try this after backing up your existing configuration.  I
suspect this newer package will do what you want?  If so I will try to
push this to RHEL3 U4 or U5.
Comment 2 Simon Annetts 2004-10-21 06:17:33 EDT
Yes that works just fine. My existing config was preserved (I had 
already manually done the symlink of config_local.php 
into /etc/squirrelmail)

Thanks
Simon

Note You need to log in before you can comment on or make changes to this bug.